Page MenuHomePhabricator

Difficulty applying profile class parameters in Horizon interface
Open, NormalPublic

Description

I want to include profile::kafka::broker on a node in the Analytics project. This class has about 15 parameters, each of which default to hiera lookups. In order to apply this class via Horizon, I need to either

  • A. set the class parameters in the UI while applying the class
  • B. set the hiera variables in the node specific Puppet Configuration hiera UI edtior.

If I do A., I cannot edit the parameters after I apply the class. This is pretty cumbersome, as I then have to remove the class, reapply, and paste in each individual class parameter every time I want to change one little thing.

B. should work, but, if I enter the hiera yaml into the editor and save before I apply the class, once I apply the class it removes the hiera I entered that match the defaults used in the class parameters. If I then try to enter the hiera again after the class is applied, the variables that match the hiera default class parameters are not saved.

Event Timeline

Ottomata created this task.Oct 10 2017, 4:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2017, 4:21 PM
bd808 edited projects, added Horizon; removed Cloud-Services.Oct 10 2017, 4:23 PM
Andrew triaged this task as Normal priority.Oct 12 2017, 2:06 PM
elukey added a subscriber: elukey.Oct 18 2017, 2:51 PM

Change 423536 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Use proper value of mirror_name prometheus label

https://gerrit.wikimedia.org/r/423536

Change 423536 merged by Ottomata:
[operations/puppet@production] Use proper value of mirror_name prometheus label

https://gerrit.wikimedia.org/r/423536

Change 423537 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Quote process_number prometheus label

https://gerrit.wikimedia.org/r/423537

Change 423537 merged by Ottomata:
[operations/puppet@production] Quote process_number prometheus label

https://gerrit.wikimedia.org/r/423537

Any possibility of getting this fixed? :D It'd be nice to use the more flexible Horizon hiera to configure the new cloud-analytics cluster in T204951 instead of having to merge puppet commits for every change.

Any possibility of getting this fixed? :D It'd be nice to use the more flexible Horizon hiera to configure the new cloud-analytics cluster in T204951 instead of having to merge puppet commits for every change.

We are aware that the status of hiera with regards CloudVPS is sub-optimal. But unfortunately improving the situation is not in our short-term roadmap :-(
Some building blocks should be re-designed to implement a proper/robust solution, and we will eventually do it :-)

Change 479522 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-puppet-dashboard@master] Tidy up editing of existing role params

https://gerrit.wikimedia.org/r/479522

Change 479522 merged by Andrew Bogott:
[openstack/horizon/wmf-puppet-dashboard@master] Tidy up editing of existing role params

https://gerrit.wikimedia.org/r/479522

Change 479758 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/wmf-puppet-dashboard@ocata] Tidy up editing of existing role params

https://gerrit.wikimedia.org/r/479758

Change 479758 merged by Andrew Bogott:
[openstack/horizon/wmf-puppet-dashboard@ocata] Tidy up editing of existing role params

https://gerrit.wikimedia.org/r/479758

Change 479761 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[openstack/horizon/deploy@ocata] Update wmf-puppet-dashboard submodule

https://gerrit.wikimedia.org/r/479761

Change 479761 merged by Andrew Bogott:
[openstack/horizon/deploy@ocata] Update wmf-puppet-dashboard submodule

https://gerrit.wikimedia.org/r/479761

Mentioned in SAL (#wikimedia-operations) [2018-12-14T20:29:41Z] <andrew@deploy1001> Started deploy [horizon/deploy@1a830b9]: Rolling out fix for T177855

Mentioned in SAL (#wikimedia-operations) [2018-12-14T20:32:57Z] <andrew@deploy1001> Finished deploy [horizon/deploy@1a830b9]: Rolling out fix for T177855 (duration: 03m 17s)

I've added an 'Edit Class Parameters' button to this UI, and also (I think) fixed it so it doesn't clobber hiera settings when you apply a class. Let me know how it works!

Amaazing thanks so much!